Skip to main content
Back to API List Used to update data in a Data Table.
PropertyValue
MethodPUT
Endpointhttps://{{host}}/api/public/tables/{{tableName}}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
App AccessRead and Write access to the Data Table from the Data Definition in DaaS. For more information, see app assignment for accessing the data in a table and Data as a Service.

Path Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai
tableNameName of the table to update data in

Sample Request

curl -X PUT \
  https://{{host}}/api/public/tables/{{tableName}} \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
  -d '{
      "query":{
        "expressions": [
          {"field": "firstName", "operand": "=", "value": "Jane"},
          {"field": "lastName", "operand": "=", "value": "Doe"}
        ],
        "operator": "and"
      },
      "data": {
        "First_Name": "Jane",
        "Last_Name": "Smith",
        "Number": 3453
      }
}'

Body Parameters

ParameterDescription
queryFilter criteria identifying the row(s) to update. Structure: "query": { "expressions": [ {"field": "<col1_name>", "operand": "=/!=/</>"," value": "<value1>"}, {"field": "<col2_name>", "operand": "=/!=/</>"," value": "<value2>"} ], "operator": "and/or" }
dataObject with column_name/value pairs for columns to update: "data": { "<col1_name>": "<value1>", "<col2_name>": "<value2>" }

Sample Response

{
   "nModified": 1
}